#!/bin/bash

# FIXME: get rid of xserver-xorg-dev and use the geis package during R cycle
sudo apt-get install bzr cmake compiz-dev gnome-common gtk-doc-tools gobject-introspection libpci-dev libpango1.0-dev libcairo2-dev libgdk-pixbuf2.0-dev libdbus-glib-1-dev libdbus-glib-1-2-dbg libwnck-dev  libgtop2-dev libgtop2-doc libgnome-desktop-3-dev libglew1.6-dev libglewmx1.6-dev libxcomposite-dev libxdamage-dev libxxf86vm-dev libxxf86vm1-dbg libsigc++-2.0-dev libboost-dev libboost-serialization-dev libxslt1-dev libx11-xcb-dev libx11-xcb1-dbg libdbusmenu-gtk-dev libdbusmenu-gtk3-dev libindicator-dev libindicator3-dev libdbusmenu-jsonloader-dev valac-0.12 libgee-dev libgee2-dbg libgconf2-dev libwnck-3-dev libnotify-dev libgnome-menu-dev libxapian-dev libpcre3-dev libsqlite3-dev libunity-misc-dev libpackagekit-glib2-dev libtelepathy-glib-dev libindicate-dev libindicate-gtk3-dev libgtest-dev google-mock cython python-dev libgtest-dev xsltproc libboost-dev libicu-dev libvala-0.14-dev valac-0.14 libdb-dev libibus-1.0-dev libxtst-dev gnome-doc-utils libgirepository1.0-dev doxygen libdconf-qt-dev libqtgconf-dev libqtbamf-dev libmetacity-dev python-pyrex libtdb-dev xserver-xorg-dev valgrind $@

#
# Print a warning if jhbuild is installed as a package
#
dpkg -L jhbuild > /dev/null 2>&1
if [ "$?" == "0" ]; then
  echo -e "*\n* WARNING: Looks like you are using jhbuild from the Ubuntu package archives. This is unlikely to work!\n*"
fi

#
# Print a warning if valac-0.14 is installed
#
dpkg -L valac-0.14 > /dev/null 2>&1
if [ "$?" == "0" ]; then
  echo -e "*\n* WARNING: You have valac-0.14. Some Unity modules are known not to compile with Vala 0.14. Please use 0.12 only.\n*"
fi
